Bug 1478663 - Weird concatenation of variable values from files in /etc/dracut.conf.d
Weird concatenation of variable values from files in /etc/dracut.conf.d
Status: NEW
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint-list
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 15:12 EDT by kilimanjar
Modified: 2018-05-03 04:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kilimanjar 2017-08-05 15:12:06 EDT
Description of problem:
Values of the same variable entered in multiple files in /etc/dracut.conf.d are concatenated as "value1value2"

Version-Release number of selected component (if applicable):
044-183.fc26

How reproducible:


Steps to Reproduce:

1. echo "add_drivers+=\"raid1\"" > /etc/dracut.conf.d/mdraid.conf
2. echo "add_drivers+=\"i915\"" > /etc/dracut.conf.d/gpu.conf
3. dracut -v -f -M

Actual results:

Final 17 lines, 1st line most important:

dracut-install: Failed to find module 'i915raid1'
dracut: FAILED:  /usr/lib/dracut/dracut-install -D /var/tmp/dracut.4N51Y8/initramfs --kerneldir /lib/modules/4.11.11-300.fc26.x86_64/ -m i915raid1
dracut: *** Installing kernel module dependencies ***
dracut: *** Installing kernel module dependencies done ***
dracut: *** Resolving executable dependencies ***
dracut: *** Resolving executable dependencies done***
dracut: *** Hardlinking files ***
dracut: *** Hardlinking files done ***
dracut: *** Stripping files ***
dracut: *** Stripping files done ***
dracut: *** Generating early-microcode cpio image ***
dracut: *** Constructing GenuineIntel.bin ****
dracut: *** Store current command line parameters ***
dracut: Stored kernel commandline:
dracut: No dracut internal kernel commandline stored in the initramfs
dracut: *** Creating image file '/boot/initramfs-4.11.11-300.fc26.x86_64.img' ***
dracut: *** Creating initramfs image file '/boot/initramfs-4.11.11-300.fc26.x86_64.img' done ***


Expected results:
Modules to load: 'i915 raid1'. Not 'i915raid1'.

Additional info:
Comment 1 Harald Hoyer 2017-08-07 09:34:25 EDT
The man page dracut.conf(5) shows to add spaces around the parameters.

1. echo "add_drivers+=\" raid1 \"" > /etc/dracut.conf.d/mdraid.conf
2. echo "add_drivers+=\" i915 \"" > /etc/dracut.conf.d/gpu.conf
3. dracut -v -f -M
Comment 2 kilimanjar 2017-08-07 11:35:07 EDT
"Space separated" I just got as spaces between module names - separated by spaces. Ok, must be space at the start, space separating names and space at the end.
I apologize for my misunderstood.
So, "bug" can be closed now.
Comment 3 Fedora End Of Life 2018-05-03 04:24:27 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.